;
; Copyright (C) 1991 Julian Byrne. All rights reserved.
;
; Title:        Hello world
; File name:    HELLO.ASM
; Version:      1.00
; Usage:        NOP
; Description:  Display "Hello world!" message.
; Dependencies: none
; Author:       Julian Byrne
; Address:      Electrical and Computer Systems Engineering Department
;               Monash University, Wellington Road, Clayton, Victoria, 3168
;               Australia
; Internet:     julian.byrne@monash.edu.au.
; Other nets:   Quaterman & Hoskins "Notable Computer Networks"
;               CACM Oct'86 pp932-971
; History:      91/ 5/ 1 Initial version
; Notes:
;

LF        EQU     0AH
CR        EQU     0DH
STACKSIZE EQU     100H
PSPSIZE   EQU     100H

          DOSSEG

ALL       GROUP CODE, DATA

DATA      SEGMENT BYTE 'DATA'
Message   DB      "Hello world!", CR, LF, "$"
DATA      ENDS

CODE      SEGMENT BYTE 'CODE'
          ASSUME  CS:ALL, DS:ALL

Hello     PROC    FAR
          MOV     DX, PSPSIZE + OFFSET ALL:Message
          MOV     AH, 09H                ; Display message
          INT     21H
          MOV     AX, 4C00H              ; Terminate user program
          INT     21H
Hello     ENDP

          ASSUME  CS:NOTHING, DS:NOTHING
CODE      ENDS

STACKSEG  SEGMENT PARA STACK 'STACK'
          DB      STACKSIZE DUP (?)
STACKSEG  ENDS

          END     Hello

